

We don't actually need this.

The reason why the ppc64 build exploded was that I had CC="gcc -m64", and even
though the build system turns that into "gcc -m64 -m32", that is,
surprisingly, equivalent to "gcc -m64".

Cc: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/vdso32/datapage.S     |    2 +-
 25-akpm/arch/ppc64/kernel/vdso32/gettimeofday.S |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/vdso32/gettimeofday.S~ppc64-revert-implement-a-vdso-and-use-it-for-signal-trampoline-gas-workaround arch/ppc64/kernel/vdso32/gettimeofday.S
--- 25/arch/ppc64/kernel/vdso32/gettimeofday.S~ppc64-revert-implement-a-vdso-and-use-it-for-signal-trampoline-gas-workaround	2005-03-07 20:41:20.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/vdso32/gettimeofday.S	2005-03-07 20:41:20.000000000 -0800
@@ -30,9 +30,9 @@ V_FUNCTION_BEGIN(__kernel_gettimeofday)
 
 	mr	r10,r3			/* r10 saves tv */
 	mr	r11,r4			/* r11 saves tz */
-	bl	__get_datapage		/* get data page */
+	bl	__get_datapage@local	/* get data page */
 	mr	r9, r3			/* datapage ptr in r9 */
-	bl	__do_get_xsec		/* get xsec from tb & kernel */
+	bl	__do_get_xsec@local	/* get xsec from tb & kernel */
 	bne-	2f			/* out of line -> do syscall */
 
 	/* seconds are xsec >> 20 */
diff -puN arch/ppc64/kernel/vdso32/datapage.S~ppc64-revert-implement-a-vdso-and-use-it-for-signal-trampoline-gas-workaround arch/ppc64/kernel/vdso32/datapage.S
--- 25/arch/ppc64/kernel/vdso32/datapage.S~ppc64-revert-implement-a-vdso-and-use-it-for-signal-trampoline-gas-workaround	2005-03-07 20:41:20.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/vdso32/datapage.S	2005-03-07 20:41:20.000000000 -0800
@@ -56,7 +56,7 @@ V_FUNCTION_BEGIN(__kernel_get_syscall_ma
   .cfi_register lr,r12
 
 	mr	r4,r3
-	bl	__get_datapage
+	bl	__get_datapage@local
 	mtlr	r12
 	addi	r3,r3,CFG_SYSCALL_MAP32
 	cmpli	cr0,r4,0
_
